"use strict";
this.name	= "lasercannons-conditions";
this.author	= "Norby";
this.copyright   = "2013 Norbert Nagy";
this.licence     = "CC BY-NC-SA 4.0";
this.description = "This equipment is usable only for ships over 130t like the Cobra Mark III.";

this.allowAwardEquipment = function(equipment, ship, context)
{
	// OXP hook to allow stations to forbid specific equipment
	if (context == "purchase" && player.ship.dockedStation && player.ship.dockedStation.scriptInfo["oolite-barred-equipment"])
	{
		if (player.ship.dockedStation.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
		{
			return false;
		}
	}

	// OXP hook to allow ships to forbid specific "available to all" equipment
	if (ship.scriptInfo && ship.scriptInfo["oolite-barred-equipment"] && ship.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
	{
		return false;
	}


//	player.consoleMessage( eqKey+" "+ship+" "+context );//debug


	//Twin Military Cannon and Plasma Web for extra large ships only (Anaconda)
	if( ship.mass < 400000 &&
		(  equipment == "EQ_WEAPON_CANNON_5"
		|| equipment == "EQ_WEAPON_CANNON_9" ) ) return false;

	//Vulcan Cannon need larger ships (Python)
	if( ship.mass < 250000 && equipment == "EQ_WEAPON_CANNON_7" ) return false;

	//Cannons for large ships only (Cobra Mark III), but Mini Cannon fit into all ships
	if( ship.mass < 130000 && equipment != "EQ_WEAPON_CANNON_2" ) return false; 

	return true;
}
